
Application: gvSIG desktop - gvSIG bugs #735
Throws an exception creating a vectorial layer 
06/01/2012 09:33 AM - Ignacio Brodín

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-devel-2050
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Tools: Geometry editing (org.gvsig.editing)
Description

Steps:

Open New Layer Wizard
Don't select anything
Press "Final" button 
gvSIG crashes

If you don't select anything and press "next" nothing happens. I think that the buttons should be disabled until the parameters are
correct

ERROR [AWT-EventQueue-1] (NotificationManager.java:107) - java.lang.NullPointerException
java.lang.NullPointerException
    at org.gvsig.newlayer.impl.DefaultNewLayerService.getStoreName(DefaultNewLayerService.java:163)
    at org.gvsig.newlayer.impl.DefaultNewLayerWizard$MyFinishAction.performAction(DefaultNewLayerWizard.java:151)
    at jwizardcomponent.DefaultJWizardComponents.finishButton_actionPerformed(Unknown Source)
    at jwizardcomponent.DefaultJWizardComponents$4.actionPerformed(Unknown Source)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:236)
    at java.awt.Component.processMouseEvent(Component.java:6263)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
    at java.awt.Component.processEvent(Component.java:6028)
    at java.awt.Container.processEvent(Container.java:2041)
    at java.awt.Component.dispatchEventImpl(Component.java:4630)
    at java.awt.Container.dispatchEventImpl(Container.java:2099)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
    at java.awt.Container.dispatchEventImpl(Container.java:2085)
    at java.awt.Window.dispatchEventImpl(Window.java:2478)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:59)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:178)
    at java.awt.Dialog$1.run(Dialog.java:1046)
    at java.awt.Dialog$3.run(Dialog.java:1098)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.awt.Dialog.show(Dialog.java:1096)
    at java.awt.Component.show(Component.java:1563)
    at java.awt.Component.setVisible(Component.java:1515)
    at java.awt.Window.setVisible(Window.java:842)
    at java.awt.Dialog.setVisible(Dialog.java:986)
    at org.gvsig.coreplugin.mdiManager.NewSkin.addJDialog(NewSkin.java:689)
    at org.gvsig.coreplugin.mdiManager.NewSkin.addWindow(NewSkin.java:361)
    at org.gvsig.coreplugin.mdiManager.NewSkin.addWindow(NewSkin.java:410)
    at org.gvsig.andami.ui.ToolsWindowManager.showWindow(ToolsWindowManager.java:67)
    at org.gvsig.andami.ui.ToolsWindowManager.showWindow(ToolsWindowManager.java:61)
    at org.gvsig.newlayer.app.extension.NewLayerExtension.execute(NewLayerExtension.java:65)
    at org.gvsig.andami.plugins.ExtensionDecorator.execute(ExtensionDecorator.java:94)
    at org.gvsig.andami.ui.mdiFrame.MDIFrame.actionPerformed(MDIFrame.java:753)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
    at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
    at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1223)
    at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1264)
    at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:272)
    at java.awt.Component.processMouseEvent(Component.java:6263)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
    at java.awt.Component.processEvent(Component.java:6028)
    at java.awt.Container.processEvent(Container.java:2041)
    at java.awt.Component.dispatchEventImpl(Component.java:4630)
    at java.awt.Container.dispatchEventImpl(Container.java:2099)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
    at java.awt.Container.dispatchEventImpl(Container.java:2085)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:59)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 736: Throws an exception... Closed 06/01/2012

History
#1 - 07/02/2012 08:33 PM - Manuel Madrid
- Target version set to 2.0.0-rc1

#2 - 07/10/2012 11:20 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#3 - 07/10/2012 02:13 PM - Juan Lucas Domínguez
- Status changed from New to In progress

#4 - 07/10/2012 03:17 PM - Juan Lucas Domínguez
- Status changed from In progress to Fixed
- Target version changed from 2.0.0-rc1 to 1.12.0-rc1

gvsig-desktop:r38549
Improved management of buttons (enabled/disabled)

#5 - 07/10/2012 03:22 PM - Juan Lucas Domínguez
- Target version changed from 1.12.0-rc1 to 2.0.0-rc1

#6 - 07/11/2012 10:34 AM - Juan Lucas Domínguez
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

#7 - 08/27/2012 10:30 AM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2051
